
### Gibb et al, 'Land use has global and systematic effects on local zoonotic host communities"
# Script 00: Function to scrape per-species number of PubMed publications

# dependencies
library(RISmed)

# function to scrape pubmed results
searchPubMed = function(bgb){
  
  # print species name
  print(sprintf("Processing: %s", bgb))
  
  # create pubmed search term
  #bgb = spp[10]
  search_term = paste(strsplit(bgb," ")[[1]][1], "[TIAB]", "AND", strsplit(bgb," ")[[1]][2], "[TIAB]", sep=" ")
  
  # run search (1950-2015)
  e = simpleError("test error")
  search = tryCatch(EUtilsSummary(search_term, type="esearch", db="pubmed", datetype='pdat', mindate=1950, maxdate=2015, retmax=500), error=function(e) e)
  
  # return result
  if(class(search)[1] == "simpleError"){ 
    res = "error" } else{
      res = QueryCount(search)
    }
 
  # sleep for 0.25 seconds to prevent over-requesting
  Sys.sleep(0.25)
  return(res)
}

